: Class ServerListModel

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.gui.slist
Class ServerListModel

    java.lang.Object
      |
      +--org.w3c.jigadmin.gui.slist.ServerListModel

public class ServerListModel
extends java.lang.Object
implements ServerListModelInterface

The default ServerList model.

Fields inherited from interface org.w3c.jigadmin.gui.slist.ServerListModelInterface
`ADMIN_SERVER_NAME`

Constructor Summary
`ServerListModel(RemoteResourceWrapper root)` Constructor.

Method Summary
`protected void` | `build()` Build the ServerListModel.
`RemoteResourceWrapper` | `getServer(java.lang.String name)` Get the server with the given name.
`java.lang.String[]` | `getServers()` Returns a array of the server names.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerListModel

    public ServerListModel(RemoteResourceWrapper root)
                    throws RemoteAccessException

  Constructor.
  Parameters:
    `root` - the root RemoteResourceWrapper.
  Throws:
    RemoteAccessException - if a remote error occurs.

Method Detail

### getServers

    public java.lang.String[] getServers()

  Returns a array of the server names.
  Specified by:
    getServers in interface ServerListModelInterface
  Returns:
    an array of String

### getServer

    public RemoteResourceWrapper getServer(java.lang.String name)

  Get the server with the given name.
  Specified by:
    getServer in interface ServerListModelInterface
  Parameters:
    `name` - the server name
  Returns:
    The RemoteResourceWrapper of the server.

### build

    protected void build()
                  throws RemoteAccessException

  Build the ServerListModel.
  Throws:
    RemoteAccessException - if a remote error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD